Subject: Re: [PATCH net-next v2 00/12] net: sched: propagate extack to cls offloads on destroy and only with skip_sw

From: Marcelo Ricardo Leitner <[email-masked]>
Date: Thu, 25 Jan 2018 13:11:57 -0200

On Wed, Jan 24, 2018 at 12:54:12PM -0800, Jakub Kicinski wrote:
> Hi!
> 
> This series some of Jiri's comments and the fact that today drivers
> may produce extack even if there is no skip_sw flag (meaning the
> driver failure is not really a problem), and warning messages will
> only confuse the users.

It's a fair point, but I think this is not the best solution. How will
the user then know why it failed to install in hw? Will have to
install a new rule, just with skip_sw, and hope that it fails with the
same reason?

Maybe it's better to let tc/ovs/etc only exhibit this information
under a certain log/debug level.

  Marcelo